TV list
curl --request GET \
--url 'https://api.themoviedb.org/3/genre/tv/list?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/genre/tv/list?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/genre/tv/list?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"genres": [
{
"id": 10759,
"name": "Action & Adventure"
},
{
"id": 16,
"name": "Animation"
},
{
"id": 35,
"name": "Comedy"
},
{
"id": 80,
"name": "Crime"
},
{
"id": 99,
"name": "Documentary"
},
{
"id": 18,
"name": "Drama"
},
{
"id": 10751,
"name": "Family"
},
{
"id": 10762,
"name": "Kids"
},
{
"id": 9648,
"name": "Mystery"
},
{
"id": 10763,
"name": "News"
},
{
"id": 10764,
"name": "Reality"
},
{
"id": 10765,
"name": "Sci-Fi & Fantasy"
},
{
"id": 10766,
"name": "Soap"
},
{
"id": 10767,
"name": "Talk"
},
{
"id": 10768,
"name": "War & Politics"
},
{
"id": 37,
"name": "Western"
}
]
}Genres
TV list
This endpoint is used to get the list of official genres for TV shows.
GET
/
3
/
genre
/
tv
/
list
TV list
Authorizations
Query Parameters
Example:
"en-US"
Response
200 - application/json
OK
Show child attributes
Show child attributes
Example:
[
{ "id": 10759, "name": "Action & Adventure" },
{ "id": 16, "name": "Animation" },
{ "id": 35, "name": "Comedy" },
{ "id": 80, "name": "Crime" },
{ "id": 99, "name": "Documentary" },
{ "id": 18, "name": "Drama" },
{ "id": 10751, "name": "Family" },
{ "id": 10762, "name": "Kids" },
{ "id": 9648, "name": "Mystery" },
{ "id": 10763, "name": "News" },
{ "id": 10764, "name": "Reality" },
{ "id": 10765, "name": "Sci-Fi & Fantasy" },
{ "id": 10766, "name": "Soap" },
{ "id": 10767, "name": "Talk" },
{ "id": 10768, "name": "War & Politics" },
{ "id": 37, "name": "Western" }
]
Was this page helpful?
⌘I